<?php
define('R', '../');
define('S', '../system');

require_once(R.'/system/functions.php');

?>
<!DOCTYPE html>
<html lang="en">
<head>
<title>Installing NomiCMS </title>
<meta name="viewport" content="width=device-width" />
<link href="/design/styles/default/style.css" rel="stylesheet" type="text/css" />
<link href="https://fonts.googleapis.com/css?family=Open+Sans:300" rel="stylesheet">
<style> #info {font-size: 12px; display: none; margin-bottom: 12px;} </style>
</head>
<body>
<script> function info() { document.getElementById("info").style.display = "block"} </script>
<div class="logo"><img src="/design/styles/default/img/logo.png"></div>
<?
$sod = file_get_contents(S.'/db_config.php');
if (file_exists(S."/db_config.php") && !empty($sod)) {
	echo '<div class="error">Database sudah terinstal!</div><div class="menu"><a href="/reg"><img src="/design/styles/default/img/link.png"> Lanjutkan pendaftaran admin</a></div>';
} else {

if(isset($_GET['go'])){
	if(isset($_POST['ok'])){
		$dbhost = $_POST['dbhost'];
		$dbuser = $_POST['dbuser'];
		$dbpass = $_POST['dbpass'];
		$dbname = $_POST['dbname'];
		$demo = $_POST['demo'];

		error_reporting(0);
		$mysqli = new mysqli($dbhost, $dbuser, $dbpass, $dbname);
		$mysqli->set_charset('utf8mb4');

		if ($mysqli->connect_errno) {
		    echo "<div class='error'>Gagal menyambung ke MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error . "</div>";
		    echo '<div class="menu"><a href="?go"><img src="/design/styles/default/img/link.png"> Kembali</a></div>';
		    echo '<div class="footer">NomiCMS / '.date('Y').'</div>';
		    exit();
		}

		if ($mysqli == TRUE) {
			chmod(S, 0777);
			$content = "<?php\ndefine('server', '$dbhost');\ndefine('user', '$dbuser');\ndefine('pass', '$dbpass');\ndefine('db', '$dbname');\n?>";

			file_put_contents(S."/db_config.php", $content);
			chmod(S.'/db_config.php', 0664);

			$dumpdb = file_get_contents('table.sql');
			$ext = explode('-- --------------------------------------------------------', $dumpdb);

			foreach ($ext as $creat) {
				$res = $mysqli->query(trim($creat));
				if (!$res) {
			    	echo "<div class='error'>Permintaan gagal: (" . $mysqli->errno . ") " . $mysqli->error . "</div>";
				}
			}

			if ($demo) {
				$dumpdemo = file_get_contents('demo/demo.sql');
				$ext = explode('-- --------------------------------------------------------', $dumpdemo);

				foreach ($ext as $creat) {
					$res = $mysqli->query(trim($creat));
					if (!$res) {
				    	echo "<div class='error'>[DEMO] Permintaan gagal: (" . $mysqli->errno . ") " . $mysqli->error . "</div>";
					}
				}
				
				foreach(array('forum', 'lib', 'zc') as $i) { 
					file_put_contents(R."/files/$i/000_NOMICMS_000.rar", NULL);
				}
			}

			chmod(S, 0744);
			chmod(R.'/design/captcha', 0777);
			chmod(R.'/files/ava', 0777);
			chmod(R.'/files/zc', 0777);
			chmod(R.'/files/zc/screen', 0777);
			chmod(R.'/files/lib', 0777);
			chmod(R.'/files/mail', 0777);
		}

		echo '<div class="success">Instalasi selesai!</div>' . ($demo ? '<div class="main">Anda telah menginstal konten demo!<br>Gunakan detail login Anda:<br><span class="new">Username: admin</span> <span class="new">Password: 1111</span></div><hr>' : NULL) . '<div class="menu"><a href="/"><img src="/design/styles/default/img/link.png"> Lihat situs</a></div><div class="footer">NomiCMS / '.date('Y').'</div></body></html>';
		exit;
	}

echo '<div class="main">
<form action="" method="POST">
Server:<br /><input type="text" name="dbhost" value="localhost" /><br />
Username:<br /><input type="text" name="dbuser" /><br />
Password:<br /><input type="text" name="dbpass" /><br />
Database:<br /><input type="text" name="dbname" /><br />
<input id="demo" type="checkbox" name="demo" value="yes">
<label for="demo" onclick="info()">instal konten demo</label><br>
<div id="info">Saat Anda mengaktifkan opsi ini, pesan, komentar, kategori bagian, dan konten lainnya akan ditambahkan ke situs Anda.<br></div>
<input type="submit" name="ok" value="Lanjutkan" />
</form></div>';

} else {
	echo '<div class="menu"><a href="?go"><img src="/design/styles/default/img/link.png"> Instalasi NomiCMS</a></div>';
}

}
?>
<div class="footer">NomiCMS / <?=date('Y');?> Mod by Amefcmx</div>
</body>
</html>