<?php
define('R', $_SERVER['DOCUMENT_ROOT']);
define('S', R.'/system');

require_once(R.'/system/kernel.php');
$title_site = 'Edit profil';
$tmp->header('edit_profile');
$tmp->title('title', 'Edit Profil');
User::panel();

if(!User::aut()){
	go_exit();
}

if (isset($_REQUEST['submit'])) {
    $name = $db->guard($_POST['name']);
    $fname = $db->guard($_POST['fname']);
    $strana = $db->guard($_POST['strana']);
    $gorod = $db->guard($_POST['gorod']);
    $osebe = $db->guard($_POST['osebe']);
    $tg = $db->guard($_POST['tg']);
    $sex = $db->guard($_POST['sex']);

    if (!empty($name) && !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['name']) || (!empty($fname) && !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['fname']))) {
        $error .= 'Nama mengandung karakter terlarang<br/>';
    }
    
    if (!isset($error)) {
    	$db->query("UPDATE `users` set `name` = '".$db->escape($name)."', `first_name` = '".$db->escape($fname)."', `sex` = '".$db->escape($sex)."', `country` = '".$db->escape($strana)."', `city` = '".$db->escape($gorod)."', `about` = '".$db->escape($osebe)."', `tg` = '".$db->escape($tg)."' WHERE `id`='".User::ID()."' ");
        $tmp->div('success', 'Pengaturan telah disimpan');
    }
}

error($error);

if(User::profile('email') == null || User::profile('email_c') == 0)
    $tmp->div('error orange', 'Akun Anda tidak terlindungi! <br> <a class="email_button" href="email_manager">Konfirmasikan email Anda</a>');


$a=$db->fass("select * from `users` where `id` = '".User::ID()."'");

$tmp->div('menu' ,'<a class="items" href="/ava">'.img('ava.png').' Upload Avatar</a>');

$tmp->div('main' ,'<form method="POST" action="">
Nama Panggilan: <br/>
<input type="text" name="name" value="'.out($a['name']).'" /><br/>
Nama Lengkap<br/>
<input type="text" name="fname" value="'.out($a['first_name']).'"/><br/>
Negara:<br/>
<input type="text" name="strana" value="'.out($a['country']).'"/><br/>
Kota:<br/>
<input type="text" name="gorod" value="'.out($a['city']).'"/><br/>
Tentang saya:<br/>
<input type="text" name="osebe" value="'.out($a['about']).'"/><br/>
Jenis kelamin: <br/>
<select name="sex">
<option value="1" '.(out($a['sex']) == 1 ? 'selected="selected"':NULL).'>Laki-laki</option>
<option value="0" '.(out($a['sex']) == 0 ? 'selected="selected"':NULL).'>Perempuan</option>
</select><br/>
Telegram:<br/>
<input type="text" name="tg" value="'.out($a['tg']).'"/><br/>
<input type="submit" name="submit" value="Simpan" /></form>');

$tmp->back('panel');
?>