<?php
define('R', $_SERVER['DOCUMENT_ROOT']);
define('S', R.'/system');

require_once(R.'/system/kernel.php');
$title_site = 'Email';
$tmp->header('email');
$tmp->title('title', 'Manajemen Email');
User::panel();


if(!User::aut() or User::profile('email') != null and User::profile('email_c') == 1){
	go_exit();
}

$act = (empty($_GET['act']) ? null : htmlspecialchars($_GET['act']));

switch ($act) {

	default:
		if(User::profile('email') != null)
			go_exit('?act=verify');

		if(!empty($_POST['install'])){
			Security::verify_str();
		    $email = $db->guard($_POST['email']);

			if(empty($email)){
				$error .= 'Anda belum memasukkan email<br/>';
		    } else if ($db->n_r("SELECT * FROM `users` WHERE `email` = '".$db->escape($email)."'") > 0){
		    	$error .= 'Email sudah di gunakan<br/>';
		    } else if(mb_strlen($email) < 3 or mb_strlen($email) > 255){
		    	$error .= 'Panjang email 3 - 255 karakter<br/>';
	        } else if (!empty($email) && !filter_var($email, FILTER_VALIDATE_EMAIL)) {
		    	$error .= 'Alamat email salah<br/>';
		    } else {
		    	$db->query("UPDATE `users` SET `email` = '".$db->escape($email)."' WHERE `id` = '".User::ID()."'");
		    	go_exit('email_manager');
		    }
		}

		error($error);

		?>
		<form method="POST" action="">
		<div class="main">Agar situs dapat berfungsi dengan benar, instal dan konfirmasi email Anda. 
			<?
			echo '<div class="cit"> <span style="color: #F44336">Perhatian. Setelah instalasi, TIDAK AKAN MUNGKIN untuk mengubah email</span><br>Tanpa email yang dikonfirmasi, pemulihan kata sandi tidak akan tersedia</div>';
			?>
			<input type="email" name="email" placeholder="Email"><br>
			<input type="hidden" name="S_Code" value="<?=Security::rand_str()?>">
			<input type="submit" name="install" value="Kirim"><br>
		</div>
		</form>
		<?
	break;

	case 'verify':
		if(User::profile('email_c') == 1 or User::profile('email') == null)
			go_exit('email_manager');

		if(isset($_GET['send_link'])){
		    if ($db->n_r("SELECT * FROM `users_emails` WHERE `time_end` > '".time()."' AND `us` = '".User::ID()."' and `module` = 'email_manager'") > 0) {
			    $error .= 'Permintaan dapat dieksekusi satu kali setiap jam<br/>';
			} else {
			    $code = Security::email_code();
			    Security::make_email('email_manager', $code, User::ID(), 'Untuk mengkonfirmasi email Anda, silakan kunjungi <a href="https://'.$_SERVER['HTTP_HOST'].'/email_manager?act=activate&code='.$code.'">tautan ini</a>', 'Aktivasi email', User::profile('email'));
			    $tmp->div('success', 'Tautan telah dikirim');
		   }
		}

		if(isset($_GET['del_email'])){
			$db->query("UPDATE `users` SET `email` = '' WHERE `id` = '".User::ID()."'");
		    go_exit('email_manager');
		}

		error($error);
		?>
		<div class="main">E-mail sudah terinstal, sekarang konfirmasikan!</div>
		<div class="main">
			<a href="email_manager?act=verify&send_link"><input type="submit" value="Kirim tautan aktivasi"></a><br>
			<br>
			<a href="email_manager?act=verify&del_email"><input type="submit" value="Hapus Email"></a>
		</div>
		<?
	break;

	case 'activate':
		if(User::profile('email_c') == 1 or User::profile('email') == null)
			go_exit('email_manager');

		if(isset($_GET['code'])) {
			$code = $db->guard($_GET['code']);
			$arr = $db->fass("SELECT * FROM `users_emails` WHERE `code` = '".$code."'");
			
			if(empty($code)){
				$error .= 'Anda belum memasukan kode<br/>';
		    } else if(!$arr){
				$error .= 'Kode tidak cocok atau sudah kadaluarsa<br/>';
		    } else if($arr['valid'] == 0){
		        $error .= 'Kode sudah digunakan<br/>';
		    } else if($arr['time_end'] < time()){
		        $error .= 'Kodenya sudah kadaluarsa<br/>';
		    } else if($arr['us'] != User::ID()){
		        $error .= 'Bukan kode ID Anda<br/>';
		    } else if($arr['module'] != 'email_manager'){
		        $error .= 'Error <br/>';
		    } else {
		    	$db->query("UPDATE `users` SET `email_c` = '1' WHERE `id` = '".User::ID()."'");
		    	$db->query("UPDATE `users_emails` SET `valid` = '0' WHERE `code` = '".$db->escape($code)."'");
		        $tmp->div('success', 'Email Anda telah diaktifkan');
		    }
		}

		error($error);
	break;

}

$tmp->back('edit');
?>