<?php
define('R', $_SERVER['DOCUMENT_ROOT']);
define('S', R.'/system');

require_once(R.'/system/kernel.php');
$title_site = 'Lupa kata sandi?';
$tmp->header('restore');
$tmp->title('title' , 'Atur ulang kata sandi');

if(User::aut()){
	go_exit();
}


$act = (empty($_GET['act'])?null : htmlspecialchars($_GET['act']));

switch ($act) {

    default:
        if(!empty($_POST['go'])) {
            Security::verify_str();
                
            $login = $db->guard($_POST['login']);
            $arr = $db->fass("SELECT * FROM `users` WHERE `login` = '".$db->escape($login)."'");
            
            if(mb_strlen($login) < 2 or mb_strlen($login) > 255){
                $error .= 'Panjang email dari 3 sampai 255 karakter<br/>';
            } else if (!$arr){
                $error .= 'Kesalahan<br/>';
            } else if($arr['email'] == null or $arr['email_c'] == 0){
                $error .= 'Email tidak valid, pemulihan tidak memungkinkan<br/>';
            } else if ($db->n_r("SELECT * FROM `users_emails` WHERE `time_end` > '".time()."' AND `us` = '".$arr['id']."' and `module` = 'restore'") > 0){
                $error .= 'Permintaan dapat dieksekusi satu kali setiap jam<br/>';
            } else {
                $code = Security::email_code();
                Security::make_email('restore', $code, $arr['id'], 'Untuk memulihkan kata sandi Anda, buka <a href="https://'.$_SERVER['HTTP_HOST'].'/restore?act=activate&code='.$code.'">tautan ini</a>', 'Pulihkan akses', $arr['email']);
                $tmp->div('success', 'Tautan pemulihan telah dikirim ke email Anda');
            }
        }

        error($error);

        ?>
        <form method="POST" action="">
        <div class="main"> 
        Untuk memulihkan kata sandi, masukkan nama pengguna Anda: <br>
            <input type="login" required="" name="login" placeholder="username"><br>
            <input type="hidden" name="S_Code" value="<?=Security::rand_str()?>">
            <input type="submit" name="go" value="Kirim permintaan"><br>
        </div>
        </form>
        <?
    break;


    case 'activate':
        if(isset($_GET['code'])) {
            $code = $db->guard($_GET['code']);
            $arr = $db->fass("SELECT * FROM `users_emails` WHERE `code` = '".$code."'");
            $us = $db->fass("SELECT * FROM `users` WHERE `id` = '".$arr['us']."'");

            if(empty($code)){
                $error .= 'Anda belum memasukkan kode<br/>';
            } else if(!$arr){
                $error .= 'Kode tidak cocok<br/>';
            } else if($arr['valid'] == 0){
                $error .= 'Kode sudah digunakan<br/>';
            } else if($arr['time_end'] < time()){
                $error .= 'Kodenya sudah kadaluarsa<br/>';
            } else if($arr['module'] != 'restore'){
                $error .= 'Kesalahan<br/>';
            } else {
                $w = Security::email_code();
                $db->query("UPDATE `users` SET `password` = '".encode($w)."' WHERE `id` = '".$arr['us']."'");
                $db->query("UPDATE `users_emails` SET `valid` = '0' WHERE `code` = '".$db->escape($code)."'");
                Core::email($us['email'], 'Kata sandi baru Anda', 'Kata sandi baru Anda: <b>'.$w.'</b>');
                $tmp->div('success', 'Kata sandi baru telah dikirim ke email Anda');
            }

        }

        error($error);

    break;
}

 $tmp->back('login');
?>