<?php
define('R', $_SERVER['DOCUMENT_ROOT']);
define('S', R.'/system');

require_once(R.'/system/kernel.php');
$title_site = 'Pengaturan';
$tmp->header('my_settings');
$tmp->title('title', 'Pengaturan');

if(!User::aut()){
	go_exit();
}

User::panel();

if (isset($_REQUEST['submit'])) {
	Security::verify_str();

	$num = my_int($db->guard($_POST['num']));
	$language = $db->guard($_POST['language']);
	$theme = $db->guard($_POST['theme']);
	$pass = $db->guard($_POST['pass']);
	$pass2 = $db->guard($_POST['pass2']);

	if (!empty($pass) && !empty($pass2)) {
		if(empty($pass) || empty($pass2)) $error .= 'Anda belum memasukkan kata sandi';
		if(!empty($pass) && (strlen($pass) < 5 || strlen($pass) > 32)) $error .= 'Panjang kata sandi tidak valid, Diizinkan dari 5 hingga 32 karakter<br/>';
		if(!empty($pass2) && $pass != $pass2) $error .= 'Kata sandi tidak cocok<br/>';
	}

	if (!isset($error)) {
		if (!empty($pass) && !empty($pass2)) {
			$pass = encode($pass);
			$db->query("update `users` set `password` = '".$db->escape($pass)."' where `id` = '".$db->escape(User::ID())."' ");
			$db->query("UPDATE `user_settings` SET `num` = '".$db->escape($num)."', `language` = '".$language."', `theme` = '".$theme."' WHERE `kto`='".$db->escape(User::ID())."' ");

			$_SESSION['password'] = $pass;
			setcookie('password', $pass, time()+60*60*24*1024, '/');
			$tmp->div('success', 'Pengaturan dan kata sandi telah diperbarui');
		} else {
			$db->query("UPDATE `user_settings` SET `num` = '".$db->escape($num)."', `language` = '".$language."', `theme` = '".$theme."' WHERE `kto`='".$db->escape(User::ID())."' ");
			$tmp->div('success', 'Pengaturan telah berhasil disimpan');
			//header('location: /settings');
		}
	}
}

error($error);

$a=$db->fass("select * from `user_settings` where `kto` = '".User::ID()."' ");

echo '<form method="POST" action=""><div class="main">Bahasa: <br/>
<select name="language" size="1">';

$lang_dir = opendir(S .'/lang');
	while ($lang = readdir($lang_dir)) {
		if ($lang == '.' || $lang == '..') 
			continue;
		$langs = parse_ini_file(S .'/lang/'.$lang.'/lang.ini');
		echo '<option value="'. $lang .'" '. ($a['language'] == $lang ? 'selected="selected"':NULL) .'>'. $langs['lang_name'] .'</option>'; //выбираем язык
	}

echo '</select><br/>Jumlah entri per halaman:<br/>
<input type="number" name="num" value="'. out($a['num']) .'" style="width: 50px" /><br/>
Tema situs: <br/><select name="theme" size="1">';

$themes_dir = opendir(R .'/design/styles');
	while ($themes = readdir($themes_dir)) {
		if ($themes == '.' || $themes == '..') 
			continue;
		$thems = parse_ini_file(R .'/design/styles/'.$themes.'/config.ini');

		echo '<option value="'. $themes .'" '.($a['theme'] == $themes ? 'selected="selected"' : NULL).'>'.$thems['name'].' '.($thems['autor'] ? ' by ('.$thems['autor'].')' : NULL).'</option>';
	}

echo '</select></div><hr><div class="main">
<span style="color: #F44336">Jangan diisi, jika perubahan kata sandi tidak diperlukan!</span><br/>
Kata Sandi Baru<br/>
<input type="text" name="pass" /><br/>
Ulangi kata sandi<br/>
<input type="text" name="pass2" /><br/>
<input type="hidden" name="S_Code" value="'.Security::rand_str().'">
<input type="submit" name="submit" value="Simpan" /></div></form>';

$tmp->back('panel');
?>