<?php
define('R', $_SERVER['DOCUMENT_ROOT']);
define('S', R.'/system');

require_once(R.'/system/kernel.php');
$title_site = 'Edit profil pengguna';
$tmp->header('edit');
$tmp->title('title', 'Edit profil user');
User::panel();

if(User::level() >= 3){

	$id=my_int($db->guard($_GET['id']));
	if (!$id) go_exit();

	if (isset($_REQUEST['submit'])) {

        Security::verify_str();

        $name = $db->guard($_POST['name']);
		$fname = $db->guard($_POST['fname']);
		$strana = $db->guard($_POST['strana']);
		$gorod = $db->guard($_POST['gorod']);
		$osebe = $db->guard($_POST['osebe']);
		$tg = $db->guard($_POST['tg']);
		$sex = $db->guard($_POST['sex']);

		$a=$db->fass("select * from `users` where `id` = '".$id."'");
		$acssec = (($a['level'] > User::level() || User::level() == 3 && $db->guard($_POST['acssec']) > 2) ? $a['level'] : $db->guard($_POST['acssec']));

		$language = $db->guard($_POST['language']);

		$money = $db->guard($_POST['money']);
		$datareg = $db->guard($_POST['datareg']);
		$datalast = $db->guard($_POST['datalast']);
		$ava = $db->guard($_POST['ava']);

		if (!isset($error)) {
			$db->query("UPDATE `users` set `level` = '".$db->escape($acssec)."', `name` = '".$db->escape($name)."', `first_name` = '".$db->escape($fname)."', `sex` = '".$db->escape($sex)."', `country` = '".$db->escape($strana)."', `city` = '".$db->escape($gorod)."', `about` = '".$db->escape($osebe)."', `tg` = '".$db->escape($tg)."', `money` = '".$db->escape($money)."', `date_registration` = '".$db->escape($datareg)."', `date_last_entry` = '".$db->escape($datalast)."', `ava` = '".$db->escape($ava)."' WHERE `id`='".$id."' ");
			$db->query("UPDATE `user_settings` set  `language` = '".$language."' WHERE `id`='".$id."' ");
			$tmp->div('success', 'Telah disimpan');
		}
	}

	$a=$db->fass("select * from `users` where `id` = '".$id."'");
	$as=$db->fass("select * from `user_settings` where `id` = '".$id."'");

	if(empty($a)) go_exit();

	error($error);

	echo '<form method="POST" action=""><div class="main">
Sebagai: <br/>
<select name="acssec">
<option value="1" '.(out($a['level']) == 1 ? 'selected="selected"':NULL).'>User</option>
<option value="2" '.(out($a['level']) == 2 ? 'selected="selected"':NULL).'>Moderator</option>
<option value="3" '.(out($a['level']) == 3 ? 'selected="selected"':NULL).' '.(User::level() != 4 ? 'disabled' : NULL).'>Administrator</option>
<option value="4" '.(out($a['level']) == 4 ? 'selected="selected"':NULL).' '.(User::level() != 4 ? 'disabled' : NULL).'>Developer</option>
</select></div><hr><div class="main">
Nama Panggilan<br/>
<input type="text" name="name" value="'. out($a['name']) .'" /><br/>
Nama Lengkap<br/>
<input type="text" name="fname" value="'. out($a['first_name']) .'"/><br/>
Kota<br/>
<input type="text" name="strana" value="'. out($a['country']) .'"/><br/>
Negara<br/>
<input type="text" name="gorod" value="'. out($a['city']) .'"/><br/>
Tentang<br/>
<input type="text" name="osebe" value="'. out($a['about']) .'"/><br/>
Jenis kelamin: <br/>
<select name="sex">
<option value="1" '.(out($a['sex']) == 1 ? 'selected="selected"':NULL).'>Laki-laki</option>
<option value="0" '.(out($a['sex']) == 0 ? 'selected="selected"':NULL).'>Perempuan</option>
</select><br/>
Telegram<br/>
<input type="text" name="tg" value="'. out($a['tg']) .'"/><br/>
<div class="cit">
Money:<br/>
<input type="text" name="money" value="'.out($a['money']).'"/><br/>
Date Registration (t):<br/>
<input type="text" name="datareg" value="'.out($a['date_registration']).'"/><br/>
Date Last Entry (t):<br/>
<input type="text" name="datalast" value="'.out($a['date_last_entry']).'"/><br/>
Ava:<br/>
<input type="text" name="ava" value="'.out($a['ava']).'"/><br/>

</div>
Bahasa:<br/>
<select name="language" size="1">';

	$lang_dir = opendir(S .'/lang');
		while ($lang = readdir($lang_dir)) {
			if ($lang == '.' || $lang == '..') 
				continue;
	$langs = parse_ini_file(S .'/lang/'.$lang.'/lang.ini');
	echo '<option value="'. $lang .'" '.($as['language'] == $lang ? 'selected="selected"':NULL).'>'. $langs['lang_name'] .'</option>';
	}
	echo '</select><br/>
	<input type="hidden" name="S_Code" value="'.Security::rand_str().'">
	<input type="submit" name="submit" value="Simpan" /></div>
	</form>';

} else {
	go_exit();
}

$tmp->back('us'.$id);
?>