<?php
define('R', $_SERVER['DOCUMENT_ROOT']);
define('S', R.'/system');

require_once(R.'/system/kernel.php');
$title_site = 'Pencarian';
$tmp->header('search');
$tmp->title('title', 'Pencarian');

User::panel();


if(!User::aut()){
	$tmp->div('error', 'Silahkan Login untuk melihat');
	$tmp->back('forum');
}


if(isset($_REQUEST['s'])){
	$search = $db->guard($_GET['s']);
	
	if ((strlen($search) < 3 || strlen($search) > 30)) {
		$error .= 'Diizinkan 3 hingga 30 karakter';
	} else {
		$posts = $db->fass_c("SELECT COUNT(*) as count FROM `forum_message` WHERE `message` LIKE '%".$db->escape($search)."%' ");
		if (!$posts) $error .= 'Tidak ditemukan';
	}

	if(!isset($error)) {

		$tmp->title('title', 'Hasil pencarian' . ' ('.$posts.')');

		$total = (($posts-1)/$num)+1;
		$total = intval($total);
		$page = intval($page);
		if(empty($page) or $page<0) $page=1;
		if($page>$total) $page=$total;
		$start=$page*$num-$num;

		$s = $db->query("SELECT * FROM `forum_message` WHERE `message` LIKE '%".$db->escape($search)."%' ORDER BY id DESC LIMIT ".$start.", ".$num." ");

		echo '<hr><div class="messages">';
		while($result=$s->fetch_assoc()){
			echo '<hr><div>'.nick_new($result['kto']).'<br><a href="topic'.$result['topic'].'">'.str_replace($search, '<span class="highlight">'.$search.'</span>', $result['message']).'</a></div>';
		}
		echo '</div>';


		page('?s='.urlencode($search).'&');
		$tmp->back('forum/search');
	}
}

error($error);

$tmp->div('main', '<form method="GET" action="">Masukkan teks: <br/>
<input type="text" name="s" value="" /><br/>
<input type="submit" value="Cari" />
</form>');

$tmp->back('forum');
?>