<?php
define('R', $_SERVER['DOCUMENT_ROOT']);
define('S', R.'/system');

require_once(R.'/system/kernel.php');

if(User::aut()){
	go_exit();
}
$title_site = 'Buat Akun';
$tmp->header('reg');
$tmp->title('title' , 'Regitrasi');

if(isset($_POST['submit'])) {
    $login = $db->guard($_POST['login']);
    $name = $db->guard($_POST['name']);
    $sex = $db->guard($_POST['sex']);
    $captcha = $db->guard($_POST['captcha']);

    $password = $db->guard($_POST['password']);
    $repeated_password = $db->guard($_POST['repeated_password']);

    if (empty($login)) {
        $error .= 'Anda belum memasukkan nama pengguna<br/>';
    } else {
        if ((strlen($login) < 3 || strlen($login) > 15)) {
            $error .= 'Nama Pengguna, Diizinkan 3 hingga 15 karakter<br/>';
        } else {
            if (!preg_match("#^([A-z0-9\-\_\ ])+$#ui", $_POST['login'])) $error .= 'Nama Pengguna mengandung karakter terlarang<br/>';
        }
    }

    if ($db->query("SELECT * FROM users WHERE login = '". $login ."';")->num_rows > 0) {
        $error .= 'Nama Pengguna: <b>' . $login . '</b>, sudah terdaftar<br/>';
    }

    if (empty($password)) $error .= 'Anda belum memasukkan kata sandi<br/>';
    if (!empty($password) && (strlen($password) < 5 || strlen($password) > 32)) {
        $error .= 'Kata sandi tidak valid, Diizinkan dari 5 hingga 32 karakter<br/>';
    } else {
        if (!empty($password) && (empty($repeated_password))) $error .= 'Anda belum memasukkan kata sandi ke dua<br/>';
    }

    if (!empty($repeated_password) && $password != $repeated_password) $error .= 'Kata sandi tidak cocok<br/>';

    if (!empty($name) && !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['name'])) {
        $error .= 'Nama mengandung karakter Terlarang<br/>';
    }

    if ($_SESSION['captcha'] != $_POST['captcha']) $error .= 'Kode Captcha yang dimasukkan salah<br/>';

    if(!isset($error)) {
        $password = encode($password);
        $result = "INSERT INTO users (login, password, name, sex, date_registration, date_last_entry) VALUES ('". $db->escape($login) ."', '". $db->escape($password) ."', '". $db->escape($name) ."', '". $db->escape($sex) ."', '". time()."', '". time()."');";
        $db->query($result);
        $last_id = $db->insert_id();
        if($last_id == 1) $db->query("UPDATE `users` set `level` ='4' where `id` = '".$last_id."' ");

        $db->query("INSERT INTO `user_settings` set `kto` = '".$last_id."', `theme` = '".User::settings('theme')."', `language` = '".User::settings('language')."', `num` = '".Core::config('num')."' ");
        
        $_SESSION['id'] = $last_id;
        $_SESSION['login'] = $login;
        $_SESSION['password'] = $password;
        setcookie('id', $last_id, time()+60*60*24*1024, '/');
        setcookie('login', $login, time()+60*60*24*1024, '/');
        setcookie('password', $password, time()+60*60*24*1024, '/');

        $tmp->div('success', 'Pendaftaran telah berhasil diselesaikan');
        $tmp->home();
    }
}
error($error);

$_POST['name'] = (empty($_POST['name']) ? null : $_POST['name']);
$_POST['login'] = (empty($_POST['login']) ? null : $_POST['login']);


$tmp->div('main', '<form method="POST" action="">
Nama Pengguna: [3-15] *<br/>
<input type="text" name="login" value="'. out($_POST['login']) .'" /><br/>
Kata Sandi: [5-32] *<br/>
<input type="password" name="password" /><br/>
Ulangi Kata sandi: *<br/>
<input type="password" name="repeated_password" /><br/>
Nama Panggilan: <br/>
<input type="text" name="name" value="'. out($_POST['name']) .'" /><br/>
Jenis kelamin: <br/>
<select name="sex">
<option value="1">Laki-laki</option>
<option value="0">Perempuan</option></select><br/>
<img onclick="this.src=\'/design/captcha/kcaptcha.php?\'+Math.random()" id="captcha" src="/design/captcha/kcaptcha.php" /><br />
<input type="text" name="captcha" size="7" maxlength="5" autocomplete="off" /><br/>
<input type="submit" name="submit" value="Buat Akun" /></form>');

$tmp->footer();
?>